### Method

# FwupdPlugin PathStore get_path

since: 2.1.1

#### Declaration [src]

    const gchar*
    fu_path_store_get_path (
      FuPathStore* self,
      FuPathKind kind,
      GError** error
    )

#### Description [src]

Gets the defined path for the `kind`.

Available since: 2.1.1

#### Parameters

`kind`

  Type: `FuPathKind`

  A `FuPathKind` e.g. `FU_PATH_KIND_DATADIR_PKG`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `const gchar*`

Filename, or `NULL`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.